/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

export function login (data) {
  return request({
    url: '/mall4cloud_auth/ua/admin_login',
    method: 'post',
    data
  })
}

export function logout () {
  return request({
    url: '/mall4cloud_auth/ma/login_out',
    method: 'post'
  })
}

// 更新密码
export function updatePassword (data) {
  return request({
    url: '/mall4cloud_auth/mp/password/update_password',
    method: 'PUT',
    data
  })
}

// 忘记密码
export function forgetPassword (data) {
  return request({
    url: '/mall4cloud_auth/ua/forget_password',
    method: 'PUT',
    data
  })
}

// 获取忘记密码验证码
export function getForgetCode (data) {
  return request({
    url: '/mall4cloud_biz/s/sms/ua/update_pwd',
    method: 'POST',
    data
  })
}

// 校验忘记密码验证码
export function checkUpdatePwd (data) {
  return request({
    url: '/mall4cloud_biz/s/sms/ua/check_update_pwd',
    method: 'put',
    data
  })
}

export function getRegisterCode (data) {
  return request({
    url: '/mall4cloud_biz/ua/sms/verification_code/apply_supplier',
    method: 'PUT',
    data
  })
}

export function register (data) {
  return request({
    url: '/mall4cloud_admin/ua/supplier_user_register',
    method: 'POST',
    data
  })
}

// 供应商注册协议
export function getMerchantRegisterProtocol () {
  return request({
    url: '/mall4cloud_admin/ua/supplier_user_register/get_supplier_register_protocol',
    method: 'GET'
  })
}

// 供应商合作协议
export function getMerchantLoginProtocol () {
  return request({
    url: '/mall4cloud_admin/ua/supplier_user_register/get_supplier_protocol',
    method: 'GET'
  })
}

// 商家添加职工信息验证职工手机号
export function getAddShopUserCode (data) {
  return request({
    url: '/mall4cloud_biz/s/sms/send_auth_shop_user_code',
    method: 'PUT',
    data
  })
}

// 发送短信验证码（通联绑定手机号）
export function getVerificationCode (data) {
  return request({
    url: '/mall4cloud_payment/s/apply_supplier/allinpay/company/send_verification_code',
    method: 'POST',
    data
  })
}
